package cn.com.qmth.examcloud.core.basic.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.basic.service.AdminOperateService;
import cn.com.qmth.examcloud.core.basic.service.bean.AdminOperateBean;
import cn.com.qmth.examcloud.core.basic.service.bean.AdminOperateQuery;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@RestController
@Api(tags = "管理端操作日志")
@RequestMapping("${$rmp.ctr.basic}/" + "adminOperate")
public class AdminOperateController extends ControllerSupport {
	@Autowired
	private AdminOperateService adminOperateService;

	@GetMapping("page/{pageNo}/{pageSize}")
	@ApiOperation(value = "日志分页查询")
	public PageInfo<AdminOperateBean> queryPage(@ModelAttribute AdminOperateQuery req,
			@PathVariable @ApiParam(value = "pageNo = 1,2,3...") Integer pageNo, @PathVariable Integer pageSize) {
		User user = getAccessUser();
		if(isSuperAdmin()) {
			return adminOperateService.queryPage(req, pageNo, pageSize, null);
		}else {
			return adminOperateService.queryPage(req, pageNo, pageSize, user.getRootOrgId());
		}
	}
	
}