package cn.com.qmth.examcloud.core.basic.api.controller;

import cn.com.qmth.examcloud.core.basic.dao.AppRepo;
import cn.com.qmth.examcloud.core.basic.dao.entity.AppEntity;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 应用服务API Created by ting.yin on 17/3/9.
 */
@RestController
@Api(tags = "应用相关接口")
@RequestMapping("${$rmp.ctr.basic}/app")
public class AppController extends ControllerSupport {

    @Autowired
    AppRepo appRepo;

    @ApiOperation(value = "查询所有应用")
    @GetMapping("getAllApp")
    public List<AppEntity> getAllApp() {
        Sort sort = Sort.by(Sort.Direction.ASC, "id");
        return appRepo.findAll(sort);
    }

}
