package cn.com.qmth.examcloud.core.basic.api.controller.bean;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.enums.BasicDataType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 系统参数信息
 */
public class SystemPropertyDomain implements JsonSerializable {
	private static final long serialVersionUID = 4454755569906692085L;

	@NotNull(message = "参数名称不能为空")
	@ApiModelProperty(value = "参数名称")
	private String propKey;

	@NotNull(message = "参数描述不能为空")
	@ApiModelProperty(value = "参数描述")
	private String description;

	@NotNull(message = "参数类型不能为空")
	@ApiModelProperty(value = "参数类型")

	@Enumerated(EnumType.STRING)
	private BasicDataType propValueType;

	@NotNull(message = "参数值不能为空")
	@ApiModelProperty(value = "参数值")
	private String propValue;

	public String getPropKey() {
		return propKey;
	}

	public void setPropKey(String propKey) {
		this.propKey = propKey;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public BasicDataType getPropValueType() {
		return propValueType;
	}

	public void setPropValueType(BasicDataType propValueType) {
		this.propValueType = propValueType;
	}

	public String getPropValue() {
		return propValue;
	}

	public void setPropValue(String propValue) {
		this.propValue = propValue;
	}
}
