package cn.com.qmth.examcloud.core.basic.api.provider;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.core.basic.api.AuthCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.LoginReq;
import cn.com.qmth.examcloud.core.basic.api.response.LoginResp;
import cn.com.qmth.examcloud.core.basic.service.AuthService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "RPC-登录相关接口")
@RequestMapping("${$rmp.cloud.basic}" + "auth")
public class AuthCloudServiceProvider extends ControllerSupport implements AuthCloudService {

    private static final long serialVersionUID = 4189424508654646499L;

    @Autowired
    AuthService authService;

    @ApiOperation(value = "登录")
    @PostMapping("login")
    @Override
    public LoginResp login(@RequestBody LoginReq req) {
        Long userId = req.getUserId();
        UserType userType = req.getUserType();

        User user = authService.login(userType, userId);

        LoginResp resp = new LoginResp();
        resp.setUser(user);
        return resp;
    }

}
