package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.RolePrivilegeRelationEntity;
import cn.com.qmth.examcloud.core.basic.dao.entity.RolePrivilegeRelationPK;

public interface RolePrivilegeRelationRepo
		extends
			JpaRepository<RolePrivilegeRelationEntity, RolePrivilegeRelationPK>,
			QueryByExampleExecutor<RolePrivilegeRelationEntity>,
			JpaSpecificationExecutor<RolePrivilegeRelationEntity> {

	List<RolePrivilegeRelationEntity> findAllByRoleIdAndRootOrgId(Long roleId, Long rootOrgId);

	List<RolePrivilegeRelationEntity> findAllByRoleIdInAndRootOrgId(List<Long> roleIdList,
			Long rootOrgId);

	List<RolePrivilegeRelationEntity> findAllByRoleIdInAndRootOrgIdAndPrivilegeId(
			List<Long> roleIdList, Long rootOrgId, Long privilegeId);

	int countByRoleIdAndRootOrgId(Long roleId, Long rootOrgId);

	void deleteByRoleIdAndRootOrgId(Long roleId, Long rootOrgId);

	void deleteByPrivilegeId(Long privilegeId);

	List<RolePrivilegeRelationEntity> findAllByPrivilegeIdAndRootOrgId(Long privilegeId,
			Long rootOrgId);

}
