package cn.com.qmth.examcloud.core.basic.dao;

import cn.com.qmth.examcloud.api.commons.enums.DataRuleType;
import cn.com.qmth.examcloud.core.basic.dao.entity.UserDataRuleEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface UserDataRuleRepo extends JpaRepository<UserDataRuleEntity, Long>, JpaSpecificationExecutor<UserDataRuleEntity> {

    boolean existsByUserIdAndTypeAndRefId(Long userId, DataRuleType type, Long refId);

    UserDataRuleEntity findByUserIdAndTypeAndRefId(Long userId, DataRuleType type, Long refId);

    List<UserDataRuleEntity> findByUserIdAndType(Long userId, DataRuleType type);

    List<UserDataRuleEntity> findByUserId(Long userId);

    @Transactional
    @Modifying
    @Query("delete from UserDataRuleEntity where userId = :userId")
    int deleteByUserId(@Param("userId") Long userId);

    @Transactional
    @Modifying
    @Query("delete from UserDataRuleEntity where userId = :userId and type = :type and refId in :refIds")
    int deleteByUserIdAndTypeAndRefIds(@Param("userId") Long userId, @Param("type") DataRuleType type, @Param("refIds") List<Long> refIds);

}
