package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 应用
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_APP", indexes = {
		@Index(name = "IDX_B_APP_001001", columnList = "name", unique = true),
		@Index(name = "IDX_B_APP_001002", columnList = "code", unique = true),
		@Index(name = "IDX_B_APP_001002", columnList = "simpleName", unique = true)})
public class AppEntity extends JpaEntity {

	private static final long serialVersionUID = -6288949236298877031L;

	/**
	 * 应用ID
	 */
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 应用名称
	 */
	@Column(unique = true, nullable = false)
	private String name;

	/**
	 * 应用名称简称
	 */
	@Column(unique = true, nullable = false)
	private String simpleName;

	/**
	 * 应用编码
	 */
	@Column(unique = true, nullable = false)
	private String code;

	/**
	 * 密钥
	 */
	@Column(nullable = false, length = 100)
	private String secretKey;

	/**
	 * 接口鉴权时差范围
	 */
	@Column(nullable = false, length = 100)
	private Long timeRange;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSimpleName() {
		return simpleName;
	}

	public void setSimpleName(String simpleName) {
		this.simpleName = simpleName;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getSecretKey() {
		return secretKey;
	}

	public void setSecretKey(String secretKey) {
		this.secretKey = secretKey;
	}

	public Long getTimeRange() {
		return timeRange;
	}

	public void setTimeRange(Long timeRange) {
		this.timeRange = timeRange;
	}

}
