package cn.com.qmth.examcloud.core.basic.dao.entity;

import cn.com.qmth.examcloud.core.basic.dao.enums.LoginRuleType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * 登录规则
 */
@Entity
@Table(name = "ec_b_login_rule", indexes = {
        @Index(name = "IDX_B_LR_001", columnList = "rootOrgId"),
        @Index(name = "IDX_B_LR_002", columnList = "type")
})
public class LoginRuleEntity extends JpaEntity {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 顶级机构ID
     * 为-1时，代表所有机构
     */
    @Column(nullable = false)
    private Long rootOrgId;

    /**
     * 规则类型
     */
    @Enumerated(EnumType.STRING)
    @Column(length = 50, nullable = false)
    private LoginRuleType type;

    /**
     * 是否开放（白名单）
     */
    @Column(nullable = false)
    private Boolean allow;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public LoginRuleType getType() {
        return type;
    }

    public void setType(LoginRuleType type) {
        this.type = type;
    }

    public Boolean getAllow() {
        return allow;
    }

    public void setAllow(Boolean allow) {
        this.allow = allow;
    }
}
