package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.api.commons.enums.PrivilegeGroupType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 权限组
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_PRIVILEGE_GROUP", indexes = {
		@Index(name = "IDX_B_PRI_G_002001", columnList = "code", unique = true),
		@Index(name = "IDX_B_PRI_G_002002", columnList = "rootOrgId,type", unique = true)})
public class PrivilegeGroupEntity extends JpaEntity {

	private static final long serialVersionUID = -3654724059677675683L;

	/**
	 * 权限组ID
	 */
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 权限组名称
	 */
	@Column(nullable = false)
	private String name;

	/**
	 * 权限组编码
	 */
	@Column(nullable = false)
	private String code;

	/**
	 * 权限组类型
	 */
	@Enumerated(EnumType.STRING)
	private PrivilegeGroupType type;

	/**
	 * 顶级机构ID
	 */
	@Column(nullable = true)
	private Long rootOrgId;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext1;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext2;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext3;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext4;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext5;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public PrivilegeGroupType getType() {
		return type;
	}

	public void setType(PrivilegeGroupType type) {
		this.type = type;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

}
