package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

@Entity
@Table(name = "EC_B_RESOURCE", indexes = {
        @Index(name = "IDX_B_RESOURCE_000001", columnList = "rootOrgId,parentId", unique = false),
        @Index(name = "IDX_B_RESOURCE_000002", columnList = "rootOrgId,filePath", unique = true) })
public class ResourceEntity extends JpaEntity {

    private static final long serialVersionUID = 4326176782077577894L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private Long rootOrgId;

    @Column(nullable = false)
    private String name;

    @Column(nullable = false)
    private Boolean isFile;

    @Column(nullable = true)
    private String suffix;

    @Column(nullable = false)
    private String filePath;

    @Column(nullable = true)
    private Long parentId;

    @Column(nullable = true)
    private String fileTreatyPath;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getIsFile() {
        return isFile;
    }

    public void setIsFile(Boolean isFile) {
        this.isFile = isFile;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
    
    public String getFileTreatyPath() {
        return fileTreatyPath;
    }
    
    public void setFileTreatyPath(String fileTreatyPath) {
        this.fileTreatyPath = fileTreatyPath;
    }

}
