package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 角色
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_ROLE", indexes = {
		@Index(name = "IDX_B_R_010001", columnList = "rootOrgId,code", unique = true),
		@Index(name = "IDX_B_R_010002", columnList = "rootOrgId,name", unique = true)})
public class RoleEntity extends JpaEntity {

	private static final long serialVersionUID = -2167420238674588632L;

	/**
	 * 角色ID
	 */
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 角色码(全局唯一)
	 */
	@Column(unique = true, nullable = false)
	private String code;

	/**
	 * 角色名称
	 */
	@Column(unique = false, nullable = false)
	private String name;

	/**
	 * 顶级机构.为null时,为全局角色
	 */
	@Column(nullable = true)
	private Long rootOrgId;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

}
