package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 顶级机构权限关联
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_ROOT_ORG_PRIV_RELATION")
@IdClass(RootOrgPrivilegeRelationPK.class)
public class RootOrgPrivilegeRelationEntity extends JpaEntity {

	private static final long serialVersionUID = 8849214483955278647L;

	@Id
	private Long rootOrgId;

	@Id
	private Long privilegeId;

	/**
	 * 组(权限分组,同一组的权限构成权限树)
	 */
	@Column(unique = false, nullable = false)
	private Long groupId;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getPrivilegeId() {
		return privilegeId;
	}

	public void setPrivilegeId(Long privilegeId) {
		this.privilegeId = privilegeId;
	}

	public Long getGroupId() {
		return groupId;
	}

	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}

}
