package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 学生学号
 *
 * @author WANGWEI
 * @date 2018年8月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_STUDENT_CODE", indexes = {
		@Index(name = "IDX_B_SC_005001", columnList = "rootOrgId,studentCode", unique = true),
		@Index(name = "IDX_B_SC_005002", columnList = "studentId", unique = false),
		@Index(name = "IDX_B_SC_005003", columnList = "studentCode", unique = false),
		@Index(name = "IDX_B_SC_005004", columnList = "identityNumber", unique = false)})
public class StudentCodeEntity extends JpaEntity {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	@Column(nullable = false)
	private Long rootOrgId;

	@Column(nullable = false)
	private Long studentId;

	@Column(nullable = false)
	private String identityNumber;

	@Column(nullable = false)
	private String studentCode;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

}
