package cn.com.qmth.examcloud.core.basic.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_STUDENT", indexes = {
        @Index(name = "IDX_B_S_002001", columnList = "rootOrgId,identityNumber", unique = true),
        @Index(name = "IDX_B_S_002002", columnList = "orgId")
})
public class StudentEntity extends JpaEntity {

    private static final long serialVersionUID = 757531976286006550L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private String name;

    @Column(nullable = false)
    private String password;

    @Column(nullable = false)
    private String identityNumber;

    private String photoPath;

    private String remark;

    @Column(nullable = false)
    private Boolean enable;

    private Long orgId;

    @Column(nullable = false)
    private Long rootOrgId;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 安全手机号码(用于登录)
     */
    @Column(unique = true, nullable = true)
    private String securityPhone;

    /**
     * 密码虚弱
     */
    @Column(nullable = false)
    private Boolean passwordWeak;

    public StudentEntity() {
    }

    public StudentEntity(Long studentId) {
        this.id = studentId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getPhotoPath() {
        return photoPath;
    }

    public void setPhotoPath(String photoPath) {
        this.photoPath = photoPath;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getSecurityPhone() {
        return securityPhone;
    }

    public void setSecurityPhone(String securityPhone) {
        this.securityPhone = securityPhone;
    }

    public Boolean getPasswordWeak() {
        return passwordWeak;
    }

    public void setPasswordWeak(Boolean passwordWeak) {
        this.passwordWeak = passwordWeak;
    }


}
