package cn.com.qmth.examcloud.core.basic.dao.entity;

import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description 系统通知
 * @Author lideyin
 * @Date 2020/8/16 10:34
 * @Version 1.0
 */
@Entity
@Table(name = "EC_B_SYS_NOTICE")
@DynamicUpdate
@DynamicInsert
public class SysNoticeEntity extends WithIdJpaEntity {

    /**
     * 组织机构id,(-1代表所有组织机构)
     */
    private Long rootOrgId;

    /**
     * 通知内容
     */
    @Column(length = 400)
    private String content;

    /**
     * 生效开始时间
     */
    private Date startTime;
    /**
     * 生效截止时间
     */
    private Date endTime;

    /**
     * 通知标题
     */
    @Column(length = 40)
    private String title;

    /**
     * 启用标识
     */
    private Boolean enable;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }
}
