package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.api.commons.enums.BasicDataType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 系统配置
 *
 * @author WANGWEI
 * @date 2018年12月3日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_SYS_PROP")
public class SystemPropertyEntity extends JpaEntity {

	private static final long serialVersionUID = -3688247462533274177L;

	@Id
	@Column(nullable = false, length = 200)
	private String propKey;

	@Column(nullable = false, length = 200)
	private String description;

	@Column(nullable = false)
	@Enumerated(EnumType.STRING)
	private BasicDataType propValueType;

	@Column(nullable = true, length = 1000)
	private String propValue;

	public String getPropKey() {
		return propKey;
	}

	public void setPropKey(String propKey) {
		this.propKey = propKey;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public BasicDataType getPropValueType() {
		return propValueType;
	}

	public void setPropValueType(BasicDataType propValueType) {
		this.propValueType = propValueType;
	}

	public String getPropValue() {
		return propValue;
	}

	public void setPropValue(String propValue) {
		this.propValue = propValue;
	}

}
