package cn.com.qmth.examcloud.core.basic.dao.entity;

import cn.com.qmth.examcloud.api.commons.enums.DataRuleType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * 用户数据权限规则
 */
@Entity
@Table(name = "ec_b_user_data_rule", indexes = {
        @Index(name = "IDX_USER_DATA_RULE_01", columnList = "userId,type,refId", unique = true),
})
public class UserDataRuleEntity extends JpaEntity {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 顶级机构ID
     */
    @Column(nullable = false)
    private Long rootOrgId;

    /**
     * 用户ID
     */
    @Column(nullable = false)
    private Long userId;

    /**
     * 规则类型
     */
    @Enumerated(EnumType.STRING)
    @Column(length = 50, nullable = false)
    private DataRuleType type;

    /**
     * 关联ID
     * 为-1时，代表“全部”
     */
    @Column(nullable = false)
    private Long refId;

    /**
     * 是否启用
     */
    @Column(nullable = false)
    private Boolean enabled;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public DataRuleType getType() {
        return type;
    }

    public void setType(DataRuleType type) {
        this.type = type;
    }

    public Long getRefId() {
        return refId;
    }

    public void setRefId(Long refId) {
        this.refId = refId;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

}
