package cn.com.qmth.examcloud.core.basic.service;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.basic.service.bean.LoginInfo;

/**
 * 鉴权
 *
 * @author WANGWEI
 * @date 2018年5月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface AuthService {

	/**
	 * 登录
	 *
	 * @author WANGWEI
	 * @param loginInfo
	 * @return
	 */
	User login(LoginInfo loginInfo, boolean checkLoginRule);

	/**
	 * 用户登录
	 *
	 * @author WANGWEI
	 * @param userType
	 * @param userId
	 * @return
	 */
	User login(UserType userType, Long userId);

	/**
	 * 登出
	 *
	 * @author WANGWEI
	 * @param user
	 */
	void logout(User user);

	/**
	 * 获取登录用户
	 *
	 * @author WANGWEI
	 * @param key
	 * @param token
	 * @return
	 */
	User getLoginUser(String key, String token);

	/**
	 * 第三方普通用户登陆名接入
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param loginName
	 * @param appId
	 * @param timestamp
	 * @param token
	 * @param clientIp
	 * @return
	 * @throws StatusException
	 */
	User thirdPartyCommonUserAccess(Long rootOrgId, String loginName, String appId,
			String timestamp, String token, String clientIp) throws StatusException;

	/**
	 * 第三方学生登陆
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param accountType
	 * @param accountValue
	 * @param appId
	 * @param timestamp
	 * @param token
	 * @param clientIp
	 * @return
	 * @throws StatusException
	 */
	User thirdPartyStudentAccess(Long rootOrgId, String accountType, String accountValue,
			String appId, String timestamp, String token, String clientIp) throws StatusException;

}
