package cn.com.qmth.examcloud.core.basic.service;

import cn.com.qmth.examcloud.core.basic.dao.entity.OrgEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.OrgInfo;

import java.io.File;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface OrgService {

    /**
     * 保存顶级机构
     *
     * @param orgInfo
     * @return
     * @author WANGWEI
     */
    OrgEntity saveRootOrg(OrgInfo orgInfo);

    /**
     * 保存子机构
     *
     * @param orgInfo
     * @return
     * @author WANGWEI
     */
    OrgEntity saveSubOrg(OrgInfo orgInfo);

    /**
     * 保存机构属性
     *
     * @param orgId
     * @param properties
     * @author WANGWEI
     */
    void saveOrgProperties(Long orgId, Map<String, String> properties);

    /**
     * 导入子机构
     *
     * @param rootOrgId
     * @param file
     * @return
     * @author WANGWEI
     */
    public List<Map<String, Object>> importSubOrg(Long rootOrgId, Long userId, File file);

    /**
     * 批量获取顶层机构名称
     *
     * @param rootOrgIds
     * @return
     */
    Map<Long, String> findRootOrgNamesByIds(Set<Long> rootOrgIds);

    /**
     * 根据ID列表获取机构集合
     */
    Map<Long, OrgEntity> getOrgMapsByIds(Set<Long> orgIds);

}
