package cn.com.qmth.examcloud.core.basic.service;

import cn.com.qmth.examcloud.core.basic.dao.entity.StudentEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.StudentInfo;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface StudentService {

    /**
     * 方法注释
     *
     * @param studentInfo
     * @return
     * @author WANGWEI
     */
    StudentEntity saveStudent(StudentInfo studentInfo);

    /**
     * 查询
     *
     * @param rootOrgId
     * @param studentId
     * @param identityNumber
     * @param studentCode
     * @param securityPhone
     * @return
     * @author WANGWEI
     */
    StudentInfo getStudentInfo(Long rootOrgId, Long studentId, String identityNumber,
                               String studentCode, String securityPhone);

    /**
     * 解绑学号
     *
     * @param studentCode
     * @param identityNumber
     * @author WANGWEI
     */
    List<Long> unbindStudentCode(Long rootOrgId, String studentCode, String identityNumber);

    /**
     * 解绑安全手机
     *
     * @param studentId
     * @return
     * @author WANGWEI
     */
    public void unbindSecurityPhone(Long studentId);

    /**
     * 手机号码是否被绑定
     *
     * @param securityPhone
     * @return
     * @author WANGWEI
     */
    Boolean hasBeBound(String securityPhone);

    Map<Long, StudentEntity> getStudentMapsByIds(Set<Long> studentIds);

}
