package cn.com.qmth.examcloud.core.basic.service;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.basic.service.bean.GeetestLoginInfo;
import cn.com.qmth.examcloud.core.basic.service.bean.VerifyCodeLoginInfo;

/**
 * 验证码相关接口
 */
public interface VerifyCodeService {

    /**
     * 极验-验证码登录接口
     *
     * @return 登录成功信息
     */
    User geetestLogin(GeetestLoginInfo info);

    /**
     * 数字公式-验证码生成接口
     *
     * @return 字符串：uuid(32位) + base64
     */
    String verifyCodeGenerate(Long rootOrgId, String accountValue);

    /**
     * 数字公式-验证码登录接口
     *
     * @return 登录成功信息
     */
    User verifyCodeLogin(VerifyCodeLoginInfo info);

    /**
     * 数字公式-验证码的Resource接口
     */
    void verifyCodeResource(String uuid);

}