/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-19 14:04:00
 */

package cn.com.qmth.examcloud.core.basic.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.basic.dao.enums.LoginRuleType;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class LoginRuleInfo implements JsonSerializable {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "学校ID")
    private Long rootOrgId;

    @ApiModelProperty(value = "学校名称")
    private String rootOrgName;

    @ApiModelProperty("规则类型")
    private LoginRuleType type;

    @ApiModelProperty("是否开放（白名单）")
    private Boolean allow;

    @ApiModelProperty(value = "创建时间")
    private Date creationTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getRootOrgName() {
        return rootOrgName;
    }

    public void setRootOrgName(String rootOrgName) {
        this.rootOrgName = rootOrgName;
    }

    public LoginRuleType getType() {
        return type;
    }

    public void setType(LoginRuleType type) {
        this.type = type;
    }

    public Boolean getAllow() {
        return allow;
    }

    public void setAllow(Boolean allow) {
        this.allow = allow;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}