package cn.com.qmth.examcloud.core.basic.service.bean.datarule;

import cn.com.qmth.examcloud.api.commons.enums.DataRuleType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class UserDataRuleForm implements JsonSerializable {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty("权限类型")
    private DataRuleType type;

    @ApiModelProperty(value = "关联ID")
    private List<Long> refIds;

    public UserDataRuleForm addRefId(Long refId) {
        if (this.refIds == null) {
            this.refIds = new ArrayList<>();
        }

        this.refIds.add(refId);
        return this;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public DataRuleType getType() {
        return type;
    }

    public void setType(DataRuleType type) {
        this.type = type;
    }

    public List<Long> getRefIds() {
        return refIds;
    }

    public void setRefIds(List<Long> refIds) {
        this.refIds = refIds;
    }

}
