package cn.com.qmth.examcloud.core.basic.service.cache;

import cn.com.qmth.examcloud.core.basic.dao.SmsAssemblyRepo;
import cn.com.qmth.examcloud.core.basic.dao.entity.SmsAssemblyEntity;
import cn.com.qmth.examcloud.support.cache.bean.SmsAssemblyCacheBean;
import cn.com.qmth.examcloud.web.cache.RandomObjectRedisCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SmsAssemblyCache extends RandomObjectRedisCache<SmsAssemblyCacheBean> {

	@Autowired
	SmsAssemblyRepo smsAssemblyRepo;

	@Override
	public SmsAssemblyCacheBean loadFromResource(Object... keys) {
		if (keys == null) {
			return null;
		}
		String smsAssemblyCode = keys[0].toString();
		SmsAssemblyEntity smsAssembly = smsAssemblyRepo.findByCode(smsAssemblyCode);

		if (null == smsAssembly) {
			return null;
		}

		SmsAssemblyCacheBean resultBean = new SmsAssemblyCacheBean();
		resultBean.setCode(smsAssembly.getCode());
		resultBean.setExample(smsAssembly.getExample());
		resultBean.setExt1(smsAssembly.getExt1());
		resultBean.setExt2(smsAssembly.getExt2());
		resultBean.setExt3(smsAssembly.getExt3());
		resultBean.setExt4(smsAssembly.getExt4());
		resultBean.setExt5(smsAssembly.getExt5());
		resultBean.setExt6(smsAssembly.getExt6());
		resultBean.setExt7(smsAssembly.getExt7());
		resultBean.setExt8(smsAssembly.getExt8());
		resultBean.setExt9(smsAssembly.getExt9());
		resultBean.setExt10(smsAssembly.getExt10());
		resultBean.setId(smsAssembly.getId());
		resultBean.setName(smsAssembly.getName());
		resultBean.setTemplate(smsAssembly.getTemplate());
		return resultBean;
	}

	@Override
	protected String getKeyPrefix() {
		return "B_SMS_ASSEMBLY_PROP:";
	}

	@Override
	protected int getTimeout() {
		// 10分钟
		return 60 * 10;
	}

}
