/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-07-24 15:20:00
 */

package cn.com.qmth.examcloud.core.basic.service.impl;

import cn.com.qmth.examcloud.starters.greetest.service.GeetestSessionManager;
import cn.com.qmth.examcloud.web.redis.RedisClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 极验-验证会话管理
 */
@Service
public class GeetestSessionImpl implements GeetestSessionManager {

    private static final String CACHE_KEY_GEETEST = "B_GEETEST:GT_%s";// 极验“验证码”缓存KEY

    @Autowired
    private RedisClient redisClient;

    @Override
    public void setSession(String key, Boolean status) {
        final String cacheKeyGeetest = String.format(CACHE_KEY_GEETEST, key);
        redisClient.set(cacheKeyGeetest, status, 60);// N秒
    }

    @Override
    public Boolean getSession(String key) {
        final String cacheKeyGeetest = String.format(CACHE_KEY_GEETEST, key);
        return redisClient.get(cacheKeyGeetest, Boolean.class);
    }

    @Override
    public void removeSession(String key) {
        final String cacheKeyGeetest = String.format(CACHE_KEY_GEETEST, key);
        redisClient.delete(cacheKeyGeetest);
    }

}
