package cn.com.qmth.examcloud.core.basic.service.impl;

import org.apache.commons.lang3.RandomUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.service.SmsCodeService;
import cn.com.qmth.examcloud.exchange.inner.api.SmsCloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.CheckSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsCodeReq;

@Service
public class SmsCodeServiceImpl implements SmsCodeService {

	@Autowired
	SmsCloudService smsCloudService;

	@Override
	public void sendSmsCode(String phone) {
		SendSmsCodeReq req = new SendSmsCodeReq();
		req.setPhone(phone);
		int code = 1000 + RandomUtils.nextInt(1, 8999);
		req.setCode(String.valueOf(code));

		smsCloudService.sendSmsCode(req);
	}

	@Override
	public void checkSmsCode(String phone, String smsCode) {

		CheckSmsCodeReq req = new CheckSmsCodeReq();
		req.setCode(smsCode);
		req.setPhone(phone);
		smsCloudService.checkSmsCode(req);
	}

}
